Bug 106962 - network driver 8139too failed to load
network driver 8139too failed to load
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
Reported: 2003-10-13 21:06 EDT by Eugene Kanter
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-22 14:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fixes RTL8139 load failure (573 bytes, patch)
2003-11-20 05:51 EST, Howard Wilkinson
no flags Details | Diff

  None (edit)
Description Eugene Kanter 2003-10-13 21:06:16 EDT
Description of problem:

network driver 8139too failed to load because of broken dependencies

Version-Release number of selected component (if applicable):

severn-disk1 dated 10/10/03

How reproducible:


Steps to Reproduce:
1. network card requires 8139too driver.
2. make bootdisk.img and drvnet.img
3. select NFS install
4. load drivers disk and select RealTek 8139 (8139too)

Actual results:

driver failed to load, observe error messages in VT3

Expected results:

driver loads with no errors

Additional info:

Workaround: load 8139cp which will cause mii to be correctly loaded. 8139cp will
fail but it does not matter. Then load 8139too again, successfully, because mii
has already been loaded.
Comment 1 Jeremy Katz 2003-10-16 14:52:39 EDT
8139too should have a dependency on mii.o properly -- Can you do this sequence
and then attach /tmp/anaconda.log from after you get to the second stage of the
install (when you can switch to tty2 and grab the file from the shell)
Comment 2 Eugene Kanter 2003-10-16 15:51:07 EDT
I am away from that system currently. Attempt to load 8139cp clearly indicated
required mii.o and attempt to load 8139too clearly indicated no dependent modules.

In addition my network card was not autodetected - the first time ever for a lot
of releases tested on this hardware. There might be a relation with 106649 ...
Comment 3 Matt Wilson 2003-10-21 15:28:41 EDT
8139cp: mii
8139too: mii

Oddly, the modules.dep on drvnet.img has duplicate entries.
Comment 4 Jeremy Katz 2003-10-21 17:54:40 EDT
Loading 8139too by hand on a test box here properly loads mii.o first with the
current tree.  Seeing the /tmp/anaconda.log and /tmp/syslog from this would be
very helpful.
Comment 5 Ted Kaczmarek 2003-11-09 15:03:26 EST
I see a simillar issue. The card worked no problem until I added a usb
nic card. If I boot without the usb nic alias eth0 8139too is fine.
If I boot with the usb nic I have to alias the 8139too to eth1 in
modules.conf as well as swapping devices in ifcfg-eth0 amd ifcfg-eth1.
This is with latest packages, basically Fedora 1.
Comment 6 Howard Wilkinson 2003-11-20 05:51:00 EST
Created attachment 96085 [details]
Fixes RTL8139 load failure
Comment 7 Howard Wilkinson 2003-11-20 05:52:16 EST
I have just added an attachment that may fix this sort of problem.
Forgot to add the test comment though so here it is.

Problem seemed to be lack of mii in the initrd.img modules set.
Comment 8 Jeremy Katz 2003-11-21 16:16:08 EST
No, mii shouldn't have to be explicitly listed.  It get pulls in due
to the dependencies in modules.dep.
Comment 9 Eugene Kanter 2003-11-22 19:42:28 EST
I'll soon try Fedora install on original system and let you know.
Comment 10 Dennis Gilmore 2004-04-27 06:58:45 EDT
i just did a nfs install of FC2 test3 on a machine that uses 8139too 
nic  and had no issues at all with network related items 

Note You need to log in before you can comment on or make changes to this bug.